<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('point_plans', function (Blueprint $table) {
            $table->renameColumn('operator_id', 'subgroup_manager_id');
        });
    }

    public function down()
    {
        Schema::table('point_plans', function (Blueprint $table) {
            $table->renameColumn('subgroup_manager_id', 'operator_id');
        });
    }
};
